curl --request POST \
--url https://sandbox.nmbr.co/services/payroll/pay_rates/bulk/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_entity_id": "<id>",
"work_assignments": {
"include": "all"
}
}
'import requests
url = "https://sandbox.nmbr.co/services/payroll/pay_rates/bulk/delete"
payload = {
"business_entity_id": "<id>",
"work_assignments": { "include": "all" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({business_entity_id: '<id>', work_assignments: {include: 'all'}})
};
fetch('https://sandbox.nmbr.co/services/payroll/pay_rates/bulk/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Bulk delete pay rates
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Hide child attributes
Hide child attributes
The date from which this pay rate is applied to Pay Stubs.
Date filters support two formats:
Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: effective_from=2024-01-01
Use an array-like syntax to specify a range with one or more comparison operators:
gt(greater than)gte(greater than or equal to)lte(less than or equal to)lt(less than) Example:effective_from[gte]=2024-01-01&effective_from[lt]=2024-12-31
The date after which this pay rate is no longer applied and can no longer be used to create Earning Line Items. null if the pay rate applies indefinitely.
Date filters support two formats:
Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: effective_to=2024-01-01
Use an array-like syntax to specify a range with one or more comparison operators:
gt(greater than)gte(greater than or equal to)lte(less than or equal to)lt(less than) Example:effective_to[gte]=2024-01-01&effective_to[lt]=2024-12-31
Response
Accepted

